Installing React-Bootstrap - npm i fsevents ERROR

Installing React-Bootstrap - npm i fsevents ERROR
0

#1

I was trying to install React-Bootstrap it but gave me this error:

fsevents wanted {“os”:“darwin”,“arch”:“any”}
npm i -f?

> $ npm install --save react-bootstrap

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"ia32"})

+ react-bootstrap@0.32.3
updated 1 package and audited 14584 packages in 238.189s
found 0 vulnerabilities

> $ npm i fsevents
npm ERR! code EBADPLATFORM
npm ERR! notsup Unsupported platform for fsevents@1.2.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"ia32"})
npm ERR! notsup Valid OS:    darwin
npm ERR! notsup Valid Arch:  any
npm ERR! notsup Actual OS:   win32
npm ERR! notsup Actual Arch: ia32

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\di bello\AppData\Roaming\npm-cache\_logs\2018-08-22T14_26_01_743Z-debug.log

What commands should I type in to install fsevents?
npm i name-peer-dependency is giving me errors.
I typed in this to install create the react app:
npx create-app-react new-app
So I think it should have installed both React js and DOMReact


#2

your react-bootstrap installation is fine, it just didn’t install fsevents which is optional.

You are erroring out because

it wants linux distro instead of your current windows.

I would just google it.


#3

npm i linux-distro, like so?


#4

nope, it’s talking about your os (operating system) so that’s not gonna work.


#5

Ok, so the Bootstrap installation is fine but when I try to import Bootstrap in the index.js it says that ‘Bootstrap’ is declared but its value is never read.


#6

Yes, because you probably haven’t used anything from Bootstrap in your project.

Looks like you are using create-react-app. I would put import bootstrap statement in app.js instead of index.js and start using any bootstrap components in there.


#7

There is no css file in the react-boostap folder, is that normal?
Everything has a js extension.


#8

I am not sure, I have never used react-bootstrap. Maybe someone with knowledge can pitch in.


#9

Anyway it works, I have just to import the element of Boostrap that I want in a React Component and I can use it right away.
Thank you for your help.